Re: parent POMS release in a few days

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: parent POMS release in a few days

Hervé BOUTEMY
no misunderstanding: I fully agree with your analysis
I'm fully +1

and since Michael will be releasing MPIR soon, with some fixes for JDK 9/10
support, let's wait for it before releasing Apache parent 20

go!

Regards,

Hervé

Le samedi 23 juin 2018, 12:48:37 CEST Karl Heinz Marbaise a écrit :

> Hi Hervé,
>
> On 23/06/18 12:12, Hervé BOUTEMY wrote:
> > ok; didn't read Karl Heinz email: perfectly explained in MPOM-186, both
> > what's the expected benefit (JDK 9/10 support) and requirement updates
> > (minimum JRE 7)
> >
> > I don't see any issue with requiring JRE 7 to run Maven: in my last poll,
> > the vast majority of people upgraded to Maven 3.5 for color :) , then
> > have JRE 7
> >
> > We'll just document that change
>
> Maybe I misunderstand a thing here.
>
> I would suggest to integrate MPOM-186 into ASF Release 20 to get several
> improvements and updated.
>
> MPOM-186 proposes several updates of plugins which is neccessay in
> particular related to the usage of JDK9/JDK10 and also related to the
> found issues related to different versions of plugins for our own build
> (for example surefire 2.20.0 => 2.21.0, JUnit 5 Support of Surefire;
> JDK10 etc.)..and lifted
> minimum Java version for running to JRE 7 based also on the upgraded
> plugins.
>
> Furthermore we have fixed several plugins related to possible security
> issues[1] which should be provided into a new ASF parent pom...
>
>
> Kind regards
> Karl Heinz Marbaise
>
>
> [1]: http://maven.apache.org/security-plexus-archiver.html
>
> > Regards,
> >
> > Hervé
> >
> > Le samedi 23 juin 2018, 12:06:13 CEST Hervé BOUTEMY a écrit :
> >> I see MPOM-188 was created against maven-parent for that and fixed
> >>
> >> for the moment, priority goes to Apache parent POM
> >>
> >> last call for Apache parent POM updates: there are many plugin updates
> >> available, like compiler 3.7.0, Surefire 2.22
> >>
> >> Is there a reason not to upgrade? like minium java version? or anything
> >> else?
> >>
> >> Regards,
> >>
> >> Hervé
> >>
> >> Le vendredi 22 juin 2018, 20:38:12 CEST Robert Scholte a écrit :
> >>> maven-invoker-plugin doesn't pick up -Dhttps.protocols from the
> >>> JenkinsFile, let's fix this at plugin-parent level
> >>>
> >>> Robert
> >>>
> >>> On Tue, 19 Jun 2018 07:57:25 +0200, Hervé BOUTEMY
> >>> <[hidden email]>
> >>>
> >>> wrote:
> >>>> Hi,
> >>>>
> >>>> As told in INFRA-16467 thread, I'll do parent POMs releases soon.
> >>>>
> >>>> Please update parent POMs as you want the release to be done: I'll
> >>>> start
> >>>> by Apache parent in a few days: see the diff against Apache 19 [1]
> >>>> and the site https://maven.apache.org/pom-archives/asf-LATEST/
> >>>>
> >>>> Once Apache parent 20 is released, I'll let a few days for Maven parent
> >>>> POMS
> >>>>
> >>>> Regards,
> >>>>
> >>>> Hervé
> >>>>
> >>>> [1]
> >>>> https://gitbox.apache.org/repos/asf?p=maven-apache-parent.git;a=blobdif
> >>>> f
> >>>> ;f
> >>>> =pom.xml;hb=master;hpb=apache-19





---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: parent POMS release in a few days

Sylwester Lachiewicz
hi,

what do you think about option to change versioning schema to something
like java will follow? ie change to YY.qq.build? with 19 now will be hard
but if we release now 19.1 and in next year start with normal cumulative
montly/quarter releases for asf/maven pom?

Sylwester


W dniu sob., 23.06.2018 o 13:23 Karl Heinz Marbaise <[hidden email]>
napisał(a):

> Hi Hervé,
>
> On 23/06/18 13:02, Hervé BOUTEMY wrote:
> > no misunderstanding: I fully agree with your analysis
> > I'm fully +1
> >
> > and since Michael will be releasing MPIR soon, with some fixes for JDK
> 9/10
> > support, let's wait for it before releasing Apache parent 20
> >
> > go!
>
> Ah very good ...
>
>
> So we wait for Micheal MPIR release and update MPOM-186 accordingly
> afterwards...
>
> Apart from that...
>
> WDYT about upgrading maven.compiler.source/target to 1.7 as well ?
>
> Which I think makes sense ?
>
> Kind regards
> Karl Heinz Marbaise
> >
> > Regards,
> >
> > Hervé
> >
> > Le samedi 23 juin 2018, 12:48:37 CEST Karl Heinz Marbaise a écrit :
> >> Hi Hervé,
> >>
> >> On 23/06/18 12:12, Hervé BOUTEMY wrote:
> >>> ok; didn't read Karl Heinz email: perfectly explained in MPOM-186, both
> >>> what's the expected benefit (JDK 9/10 support) and requirement updates
> >>> (minimum JRE 7)
> >>>
> >>> I don't see any issue with requiring JRE 7 to run Maven: in my last
> poll,
> >>> the vast majority of people upgraded to Maven 3.5 for color :) , then
> >>> have JRE 7
> >>>
> >>> We'll just document that change
> >>
> >> Maybe I misunderstand a thing here.
> >>
> >> I would suggest to integrate MPOM-186 into ASF Release 20 to get several
> >> improvements and updated.
> >>
> >> MPOM-186 proposes several updates of plugins which is neccessay in
> >> particular related to the usage of JDK9/JDK10 and also related to the
> >> found issues related to different versions of plugins for our own build
> >> (for example surefire 2.20.0 => 2.21.0, JUnit 5 Support of Surefire;
> >> JDK10 etc.)..and lifted
> >> minimum Java version for running to JRE 7 based also on the upgraded
> >> plugins.
> >>
> >> Furthermore we have fixed several plugins related to possible security
> >> issues[1] which should be provided into a new ASF parent pom...
> >>
> >>
> >> Kind regards
> >> Karl Heinz Marbaise
> >>
> >>
> >> [1]: http://maven.apache.org/security-plexus-archiver.html
> >>
> >>> Regards,
> >>>
> >>> Hervé
> >>>
> >>> Le samedi 23 juin 2018, 12:06:13 CEST Hervé BOUTEMY a écrit :
> >>>> I see MPOM-188 was created against maven-parent for that and fixed
> >>>>
> >>>> for the moment, priority goes to Apache parent POM
> >>>>
> >>>> last call for Apache parent POM updates: there are many plugin updates
> >>>> available, like compiler 3.7.0, Surefire 2.22
> >>>>
> >>>> Is there a reason not to upgrade? like minium java version? or
> anything
> >>>> else?
> >>>>
> >>>> Regards,
> >>>>
> >>>> Hervé
> >>>>
> >>>> Le vendredi 22 juin 2018, 20:38:12 CEST Robert Scholte a écrit :
> >>>>> maven-invoker-plugin doesn't pick up -Dhttps.protocols from the
> >>>>> JenkinsFile, let's fix this at plugin-parent level
> >>>>>
> >>>>> Robert
> >>>>>
> >>>>> On Tue, 19 Jun 2018 07:57:25 +0200, Hervé BOUTEMY
> >>>>> <[hidden email]>
> >>>>>
> >>>>> wrote:
> >>>>>> Hi,
> >>>>>>
> >>>>>> As told in INFRA-16467 thread, I'll do parent POMs releases soon.
> >>>>>>
> >>>>>> Please update parent POMs as you want the release to be done: I'll
> >>>>>> start
> >>>>>> by Apache parent in a few days: see the diff against Apache 19 [1]
> >>>>>> and the site https://maven.apache.org/pom-archives/asf-LATEST/
> >>>>>>
> >>>>>> Once Apache parent 20 is released, I'll let a few days for Maven
> parent
> >>>>>> POMS
> >>>>>>
> >>>>>> Regards,
> >>>>>>
> >>>>>> Hervé
> >>>>>>
> >>>>>> [1]
> >>>>>>
> https://gitbox.apache.org/repos/asf?p=maven-apache-parent.git;a=blobdif
> >>>>>> f
> >>>>>> ;f
> >>>>>> =pom.xml;hb=master;hpb=apache-19
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
Reply | Threaded
Open this post in threaded view
|

Re: parent POMS release in a few days

Robert Scholte-8
For Java the proposal to include the year in the version has been dropped,  
it is only there in the description.
I don't see any benefit for it for Maven. Our release ratio is quite low,  
so adding a year might suggest that a specific release it quite old, even  
though it is the most recent one. With over 90 subprojects in Maven, the  
semantic versioning schema fits much better.

Robert

On Sat, 23 Jun 2018 13:42:32 +0200, Sylwester Lachiewicz  
<[hidden email]> wrote:

> hi,
>
> what do you think about option to change versioning schema to something
> like java will follow? ie change to YY.qq.build? with 19 now will be hard
> but if we release now 19.1 and in next year start with normal cumulative
> montly/quarter releases for asf/maven pom?
>
> Sylwester
>
>
> W dniu sob., 23.06.2018 o 13:23 Karl Heinz Marbaise <[hidden email]>
> napisał(a):
>
>> Hi Hervé,
>>
>> On 23/06/18 13:02, Hervé BOUTEMY wrote:
>> > no misunderstanding: I fully agree with your analysis
>> > I'm fully +1
>> >
>> > and since Michael will be releasing MPIR soon, with some fixes for JDK
>> 9/10
>> > support, let's wait for it before releasing Apache parent 20
>> >
>> > go!
>>
>> Ah very good ...
>>
>>
>> So we wait for Micheal MPIR release and update MPOM-186 accordingly
>> afterwards...
>>
>> Apart from that...
>>
>> WDYT about upgrading maven.compiler.source/target to 1.7 as well ?
>>
>> Which I think makes sense ?
>>
>> Kind regards
>> Karl Heinz Marbaise
>> >
>> > Regards,
>> >
>> > Hervé
>> >
>> > Le samedi 23 juin 2018, 12:48:37 CEST Karl Heinz Marbaise a écrit :
>> >> Hi Hervé,
>> >>
>> >> On 23/06/18 12:12, Hervé BOUTEMY wrote:
>> >>> ok; didn't read Karl Heinz email: perfectly explained in MPOM-186,  
>> both
>> >>> what's the expected benefit (JDK 9/10 support) and requirement  
>> updates
>> >>> (minimum JRE 7)
>> >>>
>> >>> I don't see any issue with requiring JRE 7 to run Maven: in my last
>> poll,
>> >>> the vast majority of people upgraded to Maven 3.5 for color :) ,  
>> then
>> >>> have JRE 7
>> >>>
>> >>> We'll just document that change
>> >>
>> >> Maybe I misunderstand a thing here.
>> >>
>> >> I would suggest to integrate MPOM-186 into ASF Release 20 to get  
>> several
>> >> improvements and updated.
>> >>
>> >> MPOM-186 proposes several updates of plugins which is neccessay in
>> >> particular related to the usage of JDK9/JDK10 and also related to the
>> >> found issues related to different versions of plugins for our own  
>> build
>> >> (for example surefire 2.20.0 => 2.21.0, JUnit 5 Support of Surefire;
>> >> JDK10 etc.)..and lifted
>> >> minimum Java version for running to JRE 7 based also on the upgraded
>> >> plugins.
>> >>
>> >> Furthermore we have fixed several plugins related to possible  
>> security
>> >> issues[1] which should be provided into a new ASF parent pom...
>> >>
>> >>
>> >> Kind regards
>> >> Karl Heinz Marbaise
>> >>
>> >>
>> >> [1]: http://maven.apache.org/security-plexus-archiver.html
>> >>
>> >>> Regards,
>> >>>
>> >>> Hervé
>> >>>
>> >>> Le samedi 23 juin 2018, 12:06:13 CEST Hervé BOUTEMY a écrit :
>> >>>> I see MPOM-188 was created against maven-parent for that and fixed
>> >>>>
>> >>>> for the moment, priority goes to Apache parent POM
>> >>>>
>> >>>> last call for Apache parent POM updates: there are many plugin  
>> updates
>> >>>> available, like compiler 3.7.0, Surefire 2.22
>> >>>>
>> >>>> Is there a reason not to upgrade? like minium java version? or
>> anything
>> >>>> else?
>> >>>>
>> >>>> Regards,
>> >>>>
>> >>>> Hervé
>> >>>>
>> >>>> Le vendredi 22 juin 2018, 20:38:12 CEST Robert Scholte a écrit :
>> >>>>> maven-invoker-plugin doesn't pick up -Dhttps.protocols from the
>> >>>>> JenkinsFile, let's fix this at plugin-parent level
>> >>>>>
>> >>>>> Robert
>> >>>>>
>> >>>>> On Tue, 19 Jun 2018 07:57:25 +0200, Hervé BOUTEMY
>> >>>>> <[hidden email]>
>> >>>>>
>> >>>>> wrote:
>> >>>>>> Hi,
>> >>>>>>
>> >>>>>> As told in INFRA-16467 thread, I'll do parent POMs releases soon.
>> >>>>>>
>> >>>>>> Please update parent POMs as you want the release to be done:  
>> I'll
>> >>>>>> start
>> >>>>>> by Apache parent in a few days: see the diff against Apache 19  
>> [1]
>> >>>>>> and the site https://maven.apache.org/pom-archives/asf-LATEST/
>> >>>>>>
>> >>>>>> Once Apache parent 20 is released, I'll let a few days for Maven
>> parent
>> >>>>>> POMS
>> >>>>>>
>> >>>>>> Regards,
>> >>>>>>
>> >>>>>> Hervé
>> >>>>>>
>> >>>>>> [1]
>> >>>>>>
>> https://gitbox.apache.org/repos/asf?p=maven-apache-parent.git;a=blobdif
>> >>>>>> f
>> >>>>>> ;f
>> >>>>>> =pom.xml;hb=master;hpb=apache-19
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: [hidden email]
>> For additional commands, e-mail: [hidden email]
>>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]